require 'common'
require 'musubi'

print("Boudning Box length = "..length)
print("Boudning Box origin = "..x0[1].." "..x0[2].." "..x0[3])
print("Mesh min level = "..minLevel)
print("Mesh max level = "..maxLevel)
print("dx on coarse level = "..dx)
print("dx on fine   level = "..dxMin)
print("dxDash (=dx/2)     = "..dxDash)
if usePeriodic then
  print("Periodic planes on Z direction.")
  print(" plane z1 pos = "..periodic_z1)
  print(" plane z2 pos = "..periodic_z2)
end
print("Refinement Box origin (x,y) = "..start_x.." "..start_y)
print("Refinement Box size   (x,y) = "..size_x.." "..size_y)
print("Reynords number = "..Re)
print("Interpolation = "..intp)
print("Scaling       = "..scaling)
print("Relaxation    = "..relaxation)
print("Computing modle = "..model)
print("Random fluctuation = "..randFluc)
print('Omega = '..omega)
print('uLB   = '..uLB)
print('dx    = '..dx)
print('dt    = '..dt)
print('p0    = '..p0)
print('time  = '..tEnd)
print('iterations = '..math.ceil(tEnd/dt))
print('Analytical solution for TGV:')
print(' gamma = '..gamma)
print(' kx ( wave number in x) = '..kx)
print(' ky ( wave number in y) = '..ky)
print(' k (sqrt(kx^2+ky^2))    = '..k)
print(' velocity X amplitude   = '..amplitudeX)
print(' velocity Y amplitude   = '..amplitudeY)
print(' velocity Z amplitude   = '..amplitudeZ)
print('Velocity and Pressre at probe point: '..xProbe[1]..' '..xProbe[2]..' '..xProbe[3])
print('t = 0:')
print(' vel X    = '..velocityX(xProbe[1], xProbe[2], 0, 0) )
print(' vel Y    = '..velocityY(xProbe[1], xProbe[2], 0, 0) )
print(' vel mag  = '..refVelocity(0, 0, 0, 0) )
print(' pressure = '..refPressure(0, 0, 0, 0) )
print(' Sxx      = '..Sxx(xProbe[1], xProbe[2], 0, 0) )
print(' Syy      = '..Syy(xProbe[1], xProbe[2], 0, 0) )
print(' Sxy      = '..Sxy(xProbe[1], xProbe[2], 0, 0) )
print('t = '..tEnd)
print(' vel X    = '..velocityX(xProbe[1], xProbe[2], 0, tEnd) )
print(' vel Y    = '..velocityY(xProbe[1], xProbe[2], 0, tEnd) )
print(' pressure = '..pressure(xProbe[1], xProbe[2], xProbe[3], tEnd) )
print(' Sxx      = '..Sxx(xProbe[1], xProbe[2], 0, tEnd) )
print(' Syy      = '..Syy(xProbe[1], xProbe[2], 0, tEnd) )
print(' Sxy      = '..Sxy(xProbe[1], xProbe[2], 0, tEnd) )
--print(' velocity magnitude (@t=10) = '..refVelocity(0, 0, 0, 0) )
